<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="xml" encoding="ISO-8859-1"/>

  <xsl:template match="/collection">
    <fo:root>

      <fo:layout-master-set>
        <fo:simple-page-master master-name="dinA5"
          page-height="14.8cm" page-width="21cm"
          margin="1cm">
          <fo:region-body/>
        </fo:simple-page-master>
      </fo:layout-master-set>

      <fo:page-sequence master-reference="dinA5">
        <fo:flow flow-name="xsl-region-body">
          <xsl:apply-templates/>
        </fo:flow>
      </fo:page-sequence>

    </fo:root>
  </xsl:template>

  <xsl:template match="cd">
    <fo:block>
      <fo:block space-after="20pt"
	font="bold 17pt sans-serif"
	text-align-last="center"
	break-before="page">
	<xsl:value-of select="artist"/>
	<xsl:text> / </xsl:text>
	<xsl:value-of select="title"/>
      </fo:block>
      <xsl:apply-templates select="songlist"/>
    </fo:block>
  </xsl:template>

</xsl:stylesheet>
